<?php
namespace Selenium\adlr;

/**
 * @group adlr
 * @group adlr-getit-01
 * @group adlr-getit-default
 */
class Getit01DefaultTest extends AdlrBase
{
    public const RECORDS = [
        "/Record/finc-87-14159",
        "/Record/finc-88-694",
        "/Record/finc-99-1482",
        "/Record/finc-101-aHR0cDovL3d3dy5maWxtbXVzaWsudW5pLWtpZWwuZGUvS0IxNC9LQjE0LVZvcndvcnQucGRm",
        "/Record/finc-150-10500",
        "/Record/finc-153-bWFuLWluLXRoZS1hdHRpYy0xOTUzLXJlc3RvcmVkLW1vdmllLTcyMHAtaGQ",
        "/Record/finc-170-12835",
        "/Record/191-eunhj",
        "/Record/196-1213742994",
        "/Record/26-80811",
        "/Record/ai-28-d2580a888c2d405983dd08b4cbf24560",
        "/Record/finc-30-61040",
        "/Record/finc-39-comin118937881985num731329",
        "/Record/ai-53-757382",
        "/Record/finc-80-6678",
        "/Record/84-on1079058527"
    ];

    public const RULES = [
        "test_case_id" => "01",
        "desc" => [
            [
                "type" => "text",
                "path" => ".getitbox-getit > h4",
                "text" => "GET IT"
            ],
            [
                "type" => "text",
                "path" => "#get-it-button",
                "text" => "LINKS ZUR RESSOURCE"
            ],
            [
                "type" => "text",
                "path" => ".getitbox-notices",
                "text" => "Diese Ressource ist frei verfügbar."
            ]
        ]
    ];

    public function testGetItDefault01()
    {
        $this->runGetItTest(self::RECORDS, self::RULES);
    }
}
