<?php
namespace Selenium\adlr;

/**
 * @group adlr
 * @group adlr-getit-02
 * @group adlr-getit-default
 */
class Getit02DefaultTest extends AdlrBase
{
    public const RECORDS = [
        "/Record/ai-49-aHR0cDovL2R4LmRvaS5vcmcvMTAuMTA4MC8xMDMwNDMxMi4yMDIxLjE5ODMyNTQ",
        "/Record/ai-49-aHR0cDovL2R4LmRvaS5vcmcvMTAuMTA4MC8xNzQzOTg4NC4yMDIxLjE5MjI0Mzc",
        "/Record/ai-55-aHR0cHM6Ly93d3cuanN0b3Iub3JnL3N0YWJsZS8xMC4yOTc5L2JsYWNrY2FtZXJhLjEwLjIuMTk",
        "/Record/ai-55-aHR0cHM6Ly93d3cuanN0b3Iub3JnL3N0YWJsZS80MDQwNjAyMQ",
        "/Record/ai-68-OLC1936107031",
        "/Record/ai-68-OLC1852389117"
    ];

    public const RULES = [
        "test_case_id" => "02",
        "desc" => [
            [
                "type" => "text",
                "path" => ".getitbox-getit > h4",
                "text" => "NICHT ANGEMELDET",
            ],
            [
                "type" => "text",
                "path" => "#get-it-button",
                "text" => "LINKS ZUR RESSOURCE",
            ],
            [
                "type" => "contains",
                "path" => ".getitbox-notices",
                "text" => "Weitere Informationen sehen Sie, wenn Sie angemeldet sind.",
                "waitForClass" => "openUrlPrint"
            ],
            [
                "type" => "contains",
                "path" => ".getitbox-notices",
                "text" => "Noch keinen Account?",
            ],
            [
                "type" => "contains",
                "path" => ".getitbox-notices",
                "text" => "Jetzt registrieren",
            ]
        ]
    ];

    public function testGetItDefault02()
    {
        $this->runGetItTest(self::RECORDS, self::RULES);
    }
}
