<?php
namespace Selenium\adlr;

/**
 * @group adlr
 * @group adlr-getit-03
 * @group adlr-getit-default
 */
class Getit03DefaultTest extends AdlrBase
{
    public const RECORDS = [
        "/Record/51-9783864881091",
        "/Record/51-9781443890199",
        "/Record/51-9783631784259",
    ];

    public const RULES = [
        "test_case_id" => "03",
        "desc" => [
            [
                "type" => "text",
                "path" => ".getitbox-getit > h4",
                "text" => "NICHT ANGEMELDET",
            ],
            [
                "type" => "text",
                "path" => "#get-it-button",
                "text" => "INFOS ZUR RESSOURCE",
            ],
            [
                "type" => "contains",
                "path" => ".getitbox-notices",
                "text" => "Diese Neuerscheinung können Sie zur Leihe bestellen, wenn Sie angemeldet sind.",
            ],
            [
                "type" => "contains",
                "path" => ".getitbox-notices",
                "text" => "Noch keinen Account?",
            ],
            [
                "type" => "contains",
                "path" => ".getitbox-notices",
                "text" => "Jetzt registrieren",
            ]
        ]
    ];

    public function testGetItDefault03()
    {
        $this->runGetItTest(self::RECORDS, self::RULES);
    }
}
