<?php
namespace Selenium\adlr;

/**
 * @group adlr
 * @group adlr-getit-03
 * @group adlr-getit-professor
 */
class Getit03ProfessorTest extends AdlrLoginBase
{
    use ProfessorTrait;

    public const RECORDS = [
        "/Record/51-9783864881091",
        "/Record/51-9781443890199",
        "/Record/51-9783631784259",
    ];

    public const RULES = [
        "test_case_id" => "03L",
        "desc" => [
            [
                "type" => "text",
                "path" => ".getitbox-getit > h4",
                "text" => "GET IT",
            ],
            [
                "type" => "text",
                "path" => "#get-it-button",
                "text" => "INFOS ZUR RESSOURCE",
            ],
            [
                "type" => "text",
                "path" => ".full-order",
                "text" => "KOSTENLOS BESTELLEN",
            ],
            [
                "type" => "contains",
                "path" => ".getitbox-notices",
                "text" =>
                    "Bestellen Sie ein Leihexemplar dieser Neuerscheinung auf Kosten von adlr.link. Das Buch wird direkt an Sie geschickt.",
            ],
            [
                "type" => "contains",
                "path" => ".getitbox-notices",
                "text" => "Verfügbarkeit:",
            ],
        ],
    ];

    public function testGetItProfessor03()
    {
        $this->logout();
        $this->assertTrue($this->login("{$this->getUserName()}@adlr.link", $this->getPassword()));
        $this->runGetItTest(self::RECORDS, self::RULES);
    }
}
