<?php
namespace Selenium\adlr;

/**
 * @group adlr
 * @group adlr-getit-04
 * @group adlr-getit-default
 */
class Getit04DefaultTest extends AdlrBase
{
    public const RECORDS = [
        "/Record/76-EBC5939400",
        "/Record/76-EBC6915648",
        "/Record/76-EBC6138849",
    ];

    public const RULES = [
        "test_case_id" => "04",
        "desc" => [
            [
                "type" => "text",
                "path" => ".getitbox-getit > h4",
                "text" => "NICHT ANGEMELDET",
            ],
            ["type" => "anti-exi", "path" => "#get-it-button"],
            [
                "type" => "contains",
                "path" => ".getitbox-notices",
                "text" =>
                    "Sie müssen angemeldet sein, um Zugang zu diesem Titel zu erhalten.",
            ],
            [
                "type" => "contains",
                "path" => ".getitbox-notices",
                "text" => "Noch keinen Account?",
            ],
            [
                "type" => "contains",
                "path" => ".getitbox-notices",
                "text" => "Jetzt registrieren",
            ],
        ]
    ];

    public function testGetItDefault04()
    {
        $this->runGetItTest(self::RECORDS, self::RULES);
    }
}
