<?php
namespace Selenium\adlr;

/**
 * @group adlr
 * @group adlr-getit-04
 * @group adlr-getit-professor
 */
class Getit04ProfessorTest extends AdlrLoginBase
{
    use ProfessorTrait;

    public const RECORDS = [
        "/Record/76-EBC5939400",
        "/Record/76-EBC6915648",
        "/Record/76-EBC6138849",
    ];

    public const RULES = [
        "test_case_id" => "04L",
        "desc" => [
            [
                "type" => "text",
                "path" => ".getitbox-getit > h4",
                "text" => "GET IT",
            ],
            [
                "type" => "text",
                "path" => "#get-it-button",
                "text" => "LINKS ZUR RESSOURCE",
            ],
            [
                "type" => "text",
                "path" => ".getitbox-notices",
                "text" =>
                    "Dieses E-Book ist für Sie über eine adlr.link-Lizenz freigeschaltet.",
            ],
        ],
    ];

    public function testGetItProfessor04()
    {
        $this->logout();
        $this->assertTrue($this->login("{$this->getUserName()}@adlr.link", $this->getPassword()));
        $this->runGetItTest(self::RECORDS, self::RULES);
    }
}
