<?php
namespace Selenium\adlr;

/**
 * @group adlr
 * @group adlr-getit-05
 * @group adlr-getit-default
 */
class Getit05DefaultTest extends AdlrBase
{
    public const RECORDS = [
        "/Record/finc-78-39818",
        "/Record/finc-78-18524",
        "/Record/finc-78-19486",
    ];

    public const RULES = [
        "test_case_id" => "05",
        "desc" => [
            [
                "type" => "text",
                "path" => ".getitbox-getit > h4",
                "text" => "GET IT",
            ],
            [
                "type" => "text",
                "path" => "#get-it-button",
                "text" => "INFOS ZUR RESSOURCE",
            ],
            [
                "type" => "contains",
                "path" => ".getitbox-notices",
                "text" => "Dieser Titel ist in der IZI-Datenbank des Internationalen Zentralinstituts für das Jugend- und Bildungsfernsehen nachgewiesen.",
            ],
            [
                "type" => "contains",
                "path" => ".getitbox-notices",
                "text" => "Zugang zum Volltext erhalten Sie nur bei einigen Titeln dieser Quelle über den obigen Link.",
            ],
        ]
    ];

    public function testGetItDefault05()
    {
        $this->runGetItTest(self::RECORDS, self::RULES);
    }
}
