<?php
namespace Selenium\adlr;

/**
 * @group adlr
 * @group adlr-getit-06
 * @group adlr-getit-default
 */
class Getit06DefaultTest extends AdlrBase
{
    public const RECORDS = [
        "/Record/finc-103-b2FpOmNkbTE1NzU5LmNvbnRlbnRkbS5vY2xjLm9yZzpwMTU3NTljb2xsOS8xMTgwNA",
        "/Record/finc-103-b2FpOmNkbTE1NzU5LmNvbnRlbnRkbS5vY2xjLm9yZzpwMTU3NTljb2xsNy8xMDg",
        "/Record/finc-103-b2FpOmNkbTE1NzU5LmNvbnRlbnRkbS5vY2xjLm9yZzpwMTU3NTljb2xsOS8xMTkyNw",
    ];

    public const RULES = [
        "test_case_id" => "06",
        "desc" => [
            [
                "type" => "text",
                "path" => ".getitbox-getit > h4",
                "text" => "GET IT",
            ],
            [
                "type" => "text",
                "path" => "#get-it-button",
                "text" => "LINKS ZUR RESSOURCE",
            ],
            [
                "type" => "contains",
                "path" => ".getitbox-notices",
                "text" => "Diese Ressource ist frei verfügbar.",
            ],
            [
                "type" => "contains",
                "path" => ".getitbox-notices",
                "text" =>
                    "Dieser Titel ist im Bestand der Margaret Herrick Library, Academy of Motion Picture Arts and Sciences, und wird mit freundlicher Genehmigung hier angezeigt.",
            ],
        ]
    ];

    public function testGetItDefault06()
    {
        $this->runGetItTest(self::RECORDS, self::RULES);
    }
}
