<?php
namespace Selenium\adlr;

/**
 * @group adlr
 * @group adlr-getit-10
 * @group adlr-getit-default
 */
class Getit10DefaultTest extends AdlrBase
{
    public const RECORDS = [
        "/Record/0-1039949797",
        "/Record/0-1656224038"
    ];

    public const RULES = [
        "test_case_id" => "10",
        "desc" => [
            [
                "type" => "text",
                "path" => ".getitbox-getit > h4",
                "text" => "NICHT ANGEMELDET",
            ],
            ["type" => "anti-exi", "path" => "#get-it-button"],
            [
                "type" => "contains",
                "path" => ".getitbox-notices",
                "text" =>
                    "Sie müssen angemeldet sein, um Zugang zu diesem Titel zu erhalten.",
            ],
            [
                "type" => "contains",
                "path" => ".getitbox-notices",
                "text" => "Noch keinen Account?",
            ],
            [
                "type" => "contains",
                "path" => ".getitbox-notices",
                "text" => "Jetzt registrieren",
            ],
        ]
    ];

    public function testGetItDefault10()
    {
        $this->runGetItTest(self::RECORDS, self::RULES);
    }
}
