<?php
namespace Selenium\adlr;

use Lmc\Steward\Test\AbstractTestCase;

/**
 * @group adlr
 * @group adlr-getit-10
 * @group adlr-getit-professor
 */
class Getit10ProfessorTest extends AdlrLoginBase
{
    use ProfessorTrait;

    public const RULES = [
        "test_case_id" => "10",
        "desc" => [
            [
                "type" => "text",
                "path" => ".getitbox-getit > h4",
                "text" => "GET IT",
            ],
            [
                "type" => "text",
                "path" => "#get-it-button",
                "text" => "LINKS ZUR RESSOURCE",
            ],
            [
                "type" => "text",
                "path" => ".getitbox-notices",
                "text" =>
                    "Dieses E-Book ist für Sie über eine adlr.link-Lizenz freigeschaltet.",
            ],
        ]
    ];

    public function testGetItProfessor10()
    {
        $this->logout();
        $this->assertTrue($this->login("{$this->getUserName()}@adlr.link", $this->getPassword()));
        $this->runGetItTest(Getit10DefaultTest::RECORDS, self::RULES);
    }
}
