<?php
namespace Selenium\adlr;

/**
 * @group adlr
 * @group adlr-getit-11
 * @group adlr-getit-default
 */
class Getit11DefaultTest extends AdlrBase
{
    public const RECORDS = [
        "/Record/127-HF000229647", // ok, if logged in
        "/Record/finc-148-000766970", // ok, if logged in
        "/Record/finc-109-KM000085902", // error: mehrbändiges Werk
        "/Record/0-1678979260", // error: Links zur Ressource
        "/Record/0-1668331306", // error: derzeit leider keine Infos
        "/Record/0-1667284800", // error: derzeit leider keine Infos
        "/Record/finc-117-BV040630682", // error: mehrbändiges Werk
        "/Record/finc-142-08034201", // error: mehrbändiges Werk
        "/Record/finc-119-321520181" // error: mehrbändiges Werk
    ];

    public const RULES = [
        "test_case_id" => "11",
        "desc" => [
            [
                "type" => "text",
                "path" => ".getitbox-getit > h4",
                "text" => "GET IT",
            ],
            [
                "type" => "text",
                "path" => "#get-it-button",
                "text" => "INFOS ZUR RESSOURCE",
            ],
            [
                "type" => "text",
                "path" => ".getitbox-notices",
                "text" =>
                    'Dieser Titel ist ein mehrbändiges Werk. Einzeltitel sind unter "Zugehörige Bände" aufgeführt.',
            ],
        ]
    ];

    public function testGetItDefault11()
    {
        $this->runGetItTest(self::RECORDS, self::RULES);
    }
}
