<?php
namespace Selenium\adlr;

/**
 * @group adlr
 * @group adlr-getit-12
 * @group adlr-getit-default
 */
class Getit12DefaultTest extends AdlrBase
{
    public const RECORDS = [
        "/Record/0-1603202374",
        "/Record/0-1067543112",
        "/Record/0-1027717349",
    ];

    public const RULES = [
        "test_case_id" => "12",
        "desc" => [
            [
                "type" => "text",
                "path" => ".getitbox-getit > h4",
                "text" => "NICHT ANGEMELDET",
            ],
            [
                "type" => "anti-exi",
                "path" => ".full-order",
                "text" => "KOSTENLOS BESTELLEN",
            ],
            [
                "type" => "anti-exi",
                "path" => ".part-order",
                "text" => "TEILKOPIE BESORGEN",
            ],
            [
                "type" => "contains",
                "path" => ".getitbox-notices",
                "text" => "Weitere Informationen sehen Sie, wenn Sie angemeldet sind.",
            ],
            [
                "type" => "contains",
                "path" => ".getitbox-notices",
                "text" => "Noch keinen Account?",
            ],
            [
                "type" => "contains",
                "path" => ".getitbox-notices",
                "text" => "Jetzt registrieren",
            ],
        ]
    ];

    public function testGetItDefault12()
    {
        $this->runGetItTest(self::RECORDS, self::RULES);
    }
}
