<?php
namespace Selenium\adlr;

use Lmc\Steward\Test\AbstractTestCase;

/**
 * @group adlr
 * @group adlr-getit-12
 * @group adlr-getit-professor
 */
class Getit12ProfessorTest extends AdlrLoginBase
{
    use ProfessorTrait;

    public const RULES = [
        "test_case_id" => "12",
        "desc" => [
            [
                "type" => "text",
                "path" => ".getitbox-getit > h4",
                "text" => "GET IT",
            ],
            [
                "type" => "text",
                "path" => ".full-order",
                "text" => "KOSTENLOS BESTELLEN",
            ],
            [
                "type" => "text",
                "path" => ".part-order",
                "text" => "TEILKOPIE BESORGEN",
            ],
            /* should there be infos?
                "type" => "text",
                "path" => "#get-it-button",
                "text" => "INFOS ZUR RESSOURCE",
                "waitForId" => "get-it-button"
            ],
            */
        ]
    ];

    public function testGetItProfessor12()
    {
        $this->logout();
        $this->assertTrue($this->login("{$this->getUserName()}@adlr.link", $this->getPassword()));
        $this->runGetItTest(Getit12DefaultTest::RECORDS, self::RULES);
    }
}
