<?php
namespace Selenium\adlr;

/**
 * @group adlr
 * @group adlr-getit-13
 * @group adlr-getit-default
 */
class Getit13DefaultTest extends AdlrBase
{
    public const RECORDS = [
        "/Record/finc-109-KM000089451",
        "/Record/finc-117-BV043403677",
        "/Record/finc-119-365350478",
        "/Record/127-HF000221927",
        "/Record/finc-148-000759109",
        /*  https://projekte.ub.uni-leipzig.de/issues/22013#note-26 */
        /*"/Record/finc-142-11205879",*/
        /*"/Record/finc-151-000055718",*/
        "/Record/0-1667395157" // error: "GET IT" instead of "Nicht angemeldet"
    ];

    public const RULES = [
        "test_case_id" => "13",
        "desc" => [
            [
                "type" => "text",
                "path" => ".getitbox-getit > h4",
                "text" => "NICHT ANGEMELDET",
            ],
            [
                "type" => "anti-exi",
                "path" => ".part-order",
                "text" => "TEILKOPIE BESORGEN",
            ],
            [
                "type" => "text",
                "path" => "#get-it-button",
                "text" => "INFOS ZUR RESSOURCE",
            ],
            [
                "type" => "contains",
                "path" => ".getitbox-notices",
                "text" => "Weitere Informationen sehen Sie, wenn Sie angemeldet sind.",
            ],
            [
                "type" => "contains",
                "path" => ".getitbox-notices",
                "text" => "Noch keinen Account?",
            ],
            [
                "type" => "contains",
                "path" => ".getitbox-notices",
                "text" => "Jetzt registrieren",
            ],
        ]
    ];

    public function testGetItDefault13()
    {
        $this->runGetItTest(self::RECORDS, self::RULES);
    }
}
