<?php
namespace Selenium\adlr;

use Lmc\Steward\Test\AbstractTestCase;

/**
 * @group adlr
 * @group adlr-getit-13
 * @group adlr-getit-professor
 */
class Getit13ProfessorTest extends AdlrLoginBase
{
    use ProfessorTrait;

    public const RULES = [
        "test_case_id" => "13L",
        "desc" => [
            [
                "type" => "text",
                "path" => ".getitbox-getit > h4",
                "text" => "GET IT",
            ],
            [
                "type" => "text",
                "path" => ".part-order",
                "text" => "TEILKOPIE BESORGEN",
            ],
            /* see https://projekte.ub.uni-leipzig.de/issues/22013#note-26 */
            /*
            [
                "type" => "text",
                "path" => "#get-it-button",
                "text" => "INFOS ZUR RESSOURCE",
            ],
            */
        ]
    ];

    public function testGetItProfessor13()
    {
        $this->logout();
        $this->assertTrue($this->login("{$this->getUserName()}@adlr.link", $this->getPassword()));
        $this->runGetItTest(Getit13DefaultTest::RECORDS, self::RULES);
    }
}
