<?php
namespace Selenium\adlr;

/**
 * @group adlr
 * @group adlr-getit-14
 * @group adlr-getit-default
 */
class Getit14DefaultTest extends AdlrBase
{
    public const RECORDS = [
        "/Record/0-1670477886",
        "/Record/0-1041254903",
        "/Record/finc-109-KM000088077",
        "/Record/finc-119-369836529",
        "/Record/finc-119-321710606",
        "/Record/finc-119-310607205",
        "/Record/127-HF000223270",
        "/Record/finc-142-08035064",
        "/Record/finc-151-000055678",
        "/Record/finc-148-000632095", // error: mehrbändiges Werk statt 'weitere informationen sehen sie..'
        "/Record/finc-117-BV045542005", // error: 'GET IT' statt 'NICHT ANGEMELDET'
        "/Record/finc-119-36435657X", // error: mehrbändiges Werk statt 'weitere informationen sehen sie..'
    ];

    public const RULES = [
        "test_case_id" => "14",
        "desc" => [
            [
                "type" => "text",
                "path" => ".getitbox-getit > h4",
                "text" => "NICHT ANGEMELDET",
            ],
            /* https://projekte.ub.uni-leipzig.de/issues/22013#note-26
            [
                "type" => "text",
                "path" => "#get-it-button",
                "text" => "INFOS ZUR RESSOURCE",
            ],*/
            [
                "type" => "contains",
                "path" => ".getitbox-notices",
                "text" =>
                    "Weitere Informationen sehen Sie, wenn Sie angemeldet sind.",
            ],
            [
                "type" => "contains",
                "path" => ".getitbox-notices",
                "text" => "Noch keinen Account?",
            ],
            [
                "type" => "contains",
                "path" => ".getitbox-notices",
                "text" => "Jetzt registrieren",
            ]
        ]
    ];

    public function testGetItDefault14()
    {
        $this->runGetItTest(self::RECORDS, self::RULES);
    }
}
