<?php
namespace Selenium\adlr;

use Lmc\Steward\Test\AbstractTestCase;

/**
 * @group adlr
 * @group adlr-getit-14
 * @group adlr-getit-professor
 */
class Getit14ProfessorTest extends AdlrLoginBase
{
    use ProfessorTrait;

    public const RULES = [
        "test_case_id" => "14L",
        "desc" => [
            [
                "type" => "text",
                "path" => ".getitbox-getit > h4",
                "text" => "GET IT",
            ],
            // https://projekte.ub.uni-leipzig.de/issues/22013#note-26
/*            [
                "type" => "text",
                "path" => "#get-it-button",
                "text" => "INFOS ZUR RESSOURCE",
            ],*/
            [
                "type" => "contains",
                "path" => ".getitbox-notices",
                "text" =>
                    "Einige Medientypen (wie z. B. Manuskripte, Schallplatten, CDs, Videos) können von der Fernleihe ausgeschlossen sein.",
            ],
        ]
    ];

    public function testGetItProfessor14()
    {
        $this->logout();
        $this->assertTrue($this->login("{$this->getUserName()}@adlr.link", $this->getPassword()));
        $this->runGetItTest(Getit14DefaultTest::RECORDS, self::RULES);
    }
}
