<?php
namespace Selenium\adlr;

/**
 * @group adlr
 * @group adlr-getit-15
 * @group adlr-getit-default
 */
class Getit15DefaultTest extends AdlrBase
{
    public const RECORDS = [
        "/Record/0-1649918879",
        "/Record/0-1668116529",
        "/Record/finc-119-326140743",
        "/Record/finc-119-320535185",
        "/Record/finc-119-218381344",
        "/Record/127-HF000220674",
        "/Record/127-HF000224330",
        "/Record/finc-142-10903814",
        "/Record/finc-142-10891532",
        "/Record/finc-151-000046616",
        "/Record/finc-117-BV022883157",
    ];

    public const RULES = [
        "test_case_id" => "15",
        "desc" => [
            [
                "type" => "text",
                "path" => ".getitbox-getit > h4",
                "text" => "GET IT",
            ],
            //  https://projekte.ub.uni-leipzig.de/issues/22013#note-26
/*            [
                "type" => "text",
                "path" => "#get-it-button",
                "text" => "INFOS ZUR RESSOURCE",
            ],*/
            [
                "type" => "contains",
                "path" => ".getitbox-notices",
                "text" => "Für diesen Titel können wir derzeit leider keine weiteren Informationen zur Verfügbarkeit bereitstellen.",
                "wait" => "getitbox-notices"
            ],
            [
                "type" => "contains",
                "path" => ".getitbox-notices",
                "text" => "Ob der Titel per Fernleihe bestellbar ist, kann Ihnen Ihre Heimatbibliothek mitteilen.",
                "wait" => "getitbox-notices"
            ],
        ]
    ];

    public function testGetItDefault15()
    {
        $this->runGetItTest(self::RECORDS, self::RULES);
    }
}
