<?php
namespace Selenium\adlr;

/**
 * @group adlr
 * @group adlr-getit-16
 * @group adlr-getit-default
 */
class Getit16DefaultTest extends AdlrBase
{
    public const RECORDS = [
        "/Record/0-1678956775",
        "/Record/0-1678647268",
        "/Record/0-1678675431",
        "/Record/finc-117-BV045203253",
        "/Record/finc-117-BV044707116",
        "/Record/finc-119-339980966",
        "/Record/finc-119-356913473",
        "/Record/finc-119-22918670X",
    ];

    public const RULES = [
        "test_case_id" => "16",
        "desc" => [
            [
                "type" => "text",
                "path" => ".getitbox-getit > h4",
                "text" => "GET IT",
            ],
            [
                "type" => "text",
                "path" => "#get-it-button",
                "text" => "LINKS ZUR RESSOURCE",
            ],
            [
                "type" => "text",
                "path" => ".getitbox-notices",
                "text" => "Diese Ressource ist frei verfügbar.",
            ],
        ]
    ];

    public function testGetItDefault16()
    {
        $this->runGetItTest(self::RECORDS, self::RULES);
    }
}
